<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 29/08/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

require('wb-system/includes/functions_blogs.php');
require('wb-system/includes/functions_friends.php');

if (is_logged() && in_array(get_router_param(0), array('add', 'answer')) && is_unsigned(get_router_param(1), true)) {
	if (get_router_param(0) == 'answer') {
		$sql = 'select c.user_id as comment_user_id, u.user_login as comment_user_login,
		p.post_id, p.user_id, p.blog_id, p.post_title, p.privacy_post, p.privacy_comment 
		from ' . COMMENTS_TABLE . ' as c 
		inner join ' . POSTS_TABLE . ' as p using (post_id) 
		inner join ' . USERS_TABLE . ' as u on (u.user_id = c.user_id) 
		where c.comment_id = ' . get_router_param(1);
	} else {
		$sql = 'select p.post_id, p.user_id, p.blog_id, p.post_title, p.privacy_post, p.privacy_comment 
		from ' . POSTS_TABLE . ' as p 
		where p.post_id = ' . get_router_param(1);
	}
	
	$query = mysql_query($sql);
	$post_data = mysql_fetch_assoc($query);
	$post_data or redirect('/');
	
	do {
		if (is_admin()) {
			break;
		}
		
		if (($result = allow_add_comment()) === true) {
			if ($post_data['privacy_comment']) {
				if ($post_data['privacy_post'] == PRIVACY_POST_USERS) {
					break;
				}
				
				if ($post_data['blog_id']) {
					if ($post_data['privacy_post'] == PRIVACY_POST_BLOG_USERS && blog_ship($post_data['blog_id'])) {
						break;
					}
					
					if (array_sum(($access = get_blog_access($post_data['blog_id'])))) {
						break;
					}
					
					$error = get_lang('post/privacy_error.only_blog_users');
				} else {
					if (user_id() == $post_data['user_id']) {
						break;
					}
					
					if ($post_data['privacy_post'] == PRIVACY_POST_FRIENDS && is_friend(user_id(), $post_data['user_id'])) {
						break;
					}
					
					if (array_sum(($access = get_blog_personal_access($access))) && $access['comment']) {
						break;
					}
					
					$error = get_lang('post/privacy_error.only_friends');
				}
			} else {
				$error = get_lang('comment/add_error.privacy');
			}
		} else {
			switch ($result) {
				case -4:
					redirect('/comments/post/' . $post_data['post_id']);
				
				case -3:
					$error = get_lang('comment/add_error.deny');
					break;
				
				case -2:
					$error = get_lang('comment/add_error.rating', get_option('acl_can_add_comment'));
					break;
			}
		}
		
		view_open('main', 'light');
		view_open('content', 'comment/add/not_allow');
		view_set_var('content', 'error', $error);
		view_set_var('content', 'post_data', $post_data);
		view_set_var('main', 'content', view_render('content'));
		return;
	} while (0);
	
	$text = '';
	$text_error = false;
	
	$antiflood = antiflood();
	$antiflood_error = (bool) $antiflood;
	
	if (isset($_POST['text'])) {
		$text = cut($_POST['text'], get_option('length_blog_comment'));
		$text = check($text, true);
		
		if (!$text) {
			$text_error = true;
		}
		
		if (!$antiflood_error && !$text_error) {
			$sql = 'insert into ' . COMMENTS_TABLE . ' (
			comment_text,
			comment_time,
			post_id,
			user_id
			) values (
			"' . mysql_escape_string($text) . '",
			' . time() . ',
			' . $post_data['post_id'] . ',
			' . user_id() . '
			)';
			
			mysql_query($sql);
			
			// Обновление Id последнего комментария к записи
			update_post_last_comment_id($post_data['post_id'], mysql_insert_id());
			
			// Обновления счетчика комментариев записи
			update_post_count_comments($post_data['post_id']);
			
			// Обновление счетчика комментариев пользователя
			update_user_count_comments();
			
			// Обновление антифлуда
			update_antiflood();
			
			// Переход к комментариям
			redirect('/comments/post/' . $post_data['post_id']);
		}
	} elseif (isset($post_data['comment_user_id'])) {
		$text = $post_data['comment_user_login'] . ', ';
	}
	
	view_open('content', 'comment/add/index');
	
	// Данные записи
	view_set_var('content', 'post_data', $post_data);
	
	// Текст и ошибка
	view_set_var('content', 'text', $text);
	view_set_var('content', 'text_error', $text_error);
	
	// Антифлуд и напоминание
	view_set_var('content', 'antiflood', $antiflood);
	view_set_var('content', 'antiflood_error', $antiflood_error);
	
	view_set_var('main', 'content', view_render('content'));
	return;
} elseif (is_logged() && in_array(get_router_param(0), array('edit', 'delete')) && is_unsigned(get_router_param(1), true)) {
	$sql = 'select c.comment_id, c.user_id, c.comment_text, 
	p.post_id, p.blog_id, p.post_title, p.post_last_comment_id, u.user_admin_privilege 
	from ' . COMMENTS_TABLE . ' as c 
	inner join ' . POSTS_TABLE . ' as p using (post_id) 
	inner join ' . USERS_TABLE . ' as u on (u.user_id = c.user_id) 
	where c.comment_id = ' . get_router_param(1);
	
	$query = mysql_query($sql);
	$comment_data = mysql_fetch_assoc($query);
	
	if (!$comment_data or ($comment_data['user_admin_privilege'] && user_id() != $comment_data['user_id'])) {
		redirect('/');
	}
	
	$access = array('edit_comment', 'delete_comment');
	$access = $comment_data['blog_id'] ? get_blog_access($comment_data['blog_id'], $access) : get_blog_personal_access($access);
	
	if (get_router_param(0) == 'edit' && $access['edit_comment']) {
		
		// Редактируемое сообщение
		$text =& $comment_data['comment_text'];
		$text_error = false;
		
		// Сообщение об успешном редактировании
		$edit_success = false;
		
		if (isset($_POST['text'])) {
			$text = check(cut($_POST['text'], get_option('length_blog_comment')), true);
			$text or $text_error = true;
			
			if (!$text_error) {
				$sql = 'update ' . COMMENTS_TABLE . ' set 
				comment_text = "' . mysql_escape_string($text) . '"
				where comment_id = ' . $comment_data['comment_id'];
				
				mysql_query($sql);
				$edit_success = true;
			}
		}
		
		view_open('content', 'comment/edit');
		
		// Данные записи
		view_set_var('content', 'comment_data', $comment_data);
		view_set_var('content', 'edit_success', $edit_success);
		
		// Текст и ошибка
		view_set_var('content', 'text', $text);
		view_set_var('content', 'text_error', $text_error);
		
		view_set_var('main', 'content', view_render('content'));
		return;
		
	} elseif (get_router_param(0) == 'delete' && ($access['delete_comment'] or (user_id() == $comment_data['user_id'] && $comment_data['comment_id'] == $comment_data['post_last_comment_id']))) {
		// Удаление комментария
		mysql_query('delete from ' . COMMENTS_TABLE . ' where comment_id = ' . $comment_data['comment_id']);
		
		// Обновление Id последнего комментария к записи
		update_post_last_comment_id($comment_data['post_id']);
		
		// Обновления счетчика комментариев записи
		update_post_count_comments($comment_data['post_id']);
		
		// Обновление счетчика комментариев пользователя
		update_user_count_comments($comment_data['user_id']);
		
		// Переход к комментариям
		redirect('/comments/post/' . $comment_data['post_id']);
	}
}

redirect('/');
?>